/*
    Program pro vypocet korenu kvadraticke rovnice v oboru
    komplexnich cisel.
*/

#include <stdio.h>
#include <math.h>

int main(void)
{
    double a,b,c,d,x1,x2;

    printf("Zadej koeficienty a, b, c: ");
    scanf("%lf%lf%lf",&a,&b,&c);
    if (a==0) /* Linearni rovnice */
       if (b==0)
          if (c==0) puts("Nekonecne mnoho reseni");
                    else puts("Zadne reseni");
          else
          {
            x1=-c/b;
            printf("x= %0.2f\n",x1);
          }
       else   /* Kvadraticka rovnice */
       {
         d=b*b-4*a*c;
         if (d>0) /* Dva realne koreny */
            {
              x1=(-b+sqrt(d))/(2*a);
              x2=(-b-sqrt(d))/(2*a);
              printf("x1= %0.2f\n",x1);
              printf("x2= %0.2f\n",x2);
            }
            else
              if (d==0) /* Jeden dvojnasobny koren */
                 {
                   x1=-b/(2*a);
                   printf("x1=x2= %0.2f",x1);
                 }
                 else /* Dva koreny komplexne sdruzene */
                 {
                   x1=(-b)/(2*a);           /* Realna cast */
                   x2=sqrt(fabs(d))/(2*a);  /* Imaginarni cast */
                   printf("x1= %0.2f+%0.2fi\n",x1,x2);
                   printf("x2= %0.2f-%0.2fi\n",x1,x2);
                 }
       }

    return 0;
}
